### Method

# FwupdPlugin CfuOffer set_force_immediate_reset

#### Declaration [src]

    void
    fu_cfu_offer_set_force_immediate_reset (
      FuCfuOffer* self,
      gboolean force_immediate_reset
    )

#### Description [src]

Sets if the in-situ firmware should reset into the new firmware immediately, rather than waiting for the next time the device is replugged.

Available since: | 1.7.0

#### Parameters

`force_immediate_reset` | `gboolean`
| Boolean.